Operating System Compatibility

Microsoft will no longer provide security updates for Windows 7 after January 14, 2020. Please plan accordingly and update your operating system as soon as possible. Wilcom recommends Windows 10 x64 to EmbroideryStudio e4 users. Users of older Wilcom software should contact us about update options.

Wilcom’s EmbroideryStudio operating system compatibility (‘#’ = exceptions)

It is recommended to have the latest updates and service packs for your respective installed Operating System.

Wilcom Version

Windows 10 (64-bit)

Windows 10 (32-bit)

Windows 8.1 (32 and 64-bit)

Windows 7 (32 and 64-bit)

Windows Vista (32-bit)

Windows XP (32-bit)

 EmbroideryStudio e4.5 Designing & DecoratingYes (#1)NoNoNoNoNo
 EmbroideryStudio e4 Designing & DecoratingYes (#1)Yes (#1)NoNoNoNo
EmbroideryStudio e3 | DecoStudio e3 | Design Workflow e3NoNoYesYesYesNo
EmbroideryStudio e2 | DecoStudio e2 | Design Workflow e2NoNoYes (#2)YesYesYes XP SP3
EmbroideryStudio e1.5 | DecoStudio e1.5 | Design Workflow e1.5NoNoNoYes (#3)YesYes XP SP3
DecoStudio e1NoNoNoYes (#3)YesYes XP SP2 or Higher
ES Designer 2006 | Design Workflow 2006NoNoNoNoYes Vista Update (#4)Yes XP SP2 or Higher (#5)

 

#1: Windows 10:

  • EmbroideryStudio e4 is only supported on Windows 10.
  • Windows 10 32-bit is only supported up to EmbroideryStudio e4.1. Wilcom recommends moving to Windows 10 64-bit to continue enjoying the latest EmbroideryStudio e4 updates, which include the latest bug fixes and new features.
  • EmbroideryStudio e4.2, e4.5, and higher are 64-bit applications. Windows 10 64-bit is only supported.

 

#2: Windows 8.1:

  • An updated Dongle driver V6.51 or a later version must be installed before installing EmbroideryStudio e2 / DecoStudio e2, the updated dongle driver can be obtained from the Download Center page.

 

#3: Windows 7:

  • An updated Dongle driver V5.75 or a later version must be installed before installing EmbroideryStudio e1.5 / DecoStudio e1.5, the updated dongle driver can be obtained from the Download Center page.

 

#4: Windows Vista:

  • You need to install Service Pack 4 or later. The “Vista Update” patch was released before SP4.

 

#5: Windows 2000 and Windows XP:

  • Melco disk format is not supported under NT, 2000, WinXP, or later.

 

Users of 64-bit Operating Systems please note:

  • ES 2006 (with Service Pack 4 Revision 2) and above will run on 64-bit operating systems such as Windows XP x64 and Windows Vista 64-bit as these operating systems can still run 32-bit applications natively.
  • Note that some Windows Server x64 operating systems running on 64-bit CPUs are not able to run 32-bit applications like Wilcom ES 2006 without hardware emulation. For full compatibility with Windows Vista, ES Designer 2006 with Vista Update or Service Pack 4 or higher is needed.

 

MacOS  / Apple Computers: There is currently no ES Designer version that can run under the MAC OS but if you have an Intel-based MAC, you can run Boot camp. Simply install ES/DS under your Windows partition.

Non-DOS embroidery disks: Since the embroidery industry was one of the first to make use of computers and before DOS was the accepted disk format, there are many ‘non-DOS’ formats still used within the embroidery industry. These non-DOS embroidery formats e.g. Barudan FDR, Melco, format the floppy disk differently and cannot be read as ‘DOS-formatted’ disks. Most PC’s can no longer read these formats.